Bug 131434 - remove-local needs more robust match checking
remove-local needs more robust match checking
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-09-01 08:44 EDT by John (J5) Palmieri
Modified: 2013-03-13 00:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-17 14:57:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John (J5) Palmieri 2004-09-01 08:44:01 EDT
Description of problem:
remove-local command in printconf-tui does not match make and model
in a robust manner.  Right now it checks for the printers ieee string
for make and model or for it's foomatic string but it does not work if
one string is the ieee string and the other is the foomatic string. 
Also it does a case sensitive comparison of strings.  It should do a
case insensitive comparison.

How reproducible:
When plugging in an HP printer

Steps to Reproduce:
printconf-tui --Xremove-local
--device=hal:///org/freedesktop/Hal/devices/usb_usb_device_3f0_212_100_-1_SG01J131VWO
--make="HP" --model="DESKJET 1220C"
  
Actual results:
fails to remove queue

Expected results:
removes queue

Additional info:

printconf-tui --Xremove-local
--device=hal:///org/freedesktop/Hal/devices/usb_usb_device_3f0_212_100_-1_SG01J131VWO
--make="HP" --model="DeskJet 1220C"

does remove the printer.
Comment 1 Tim Waugh 2004-09-03 05:20:28 EDT
Should be fixed in 0.6.111-1.
Comment 2 John (J5) Palmieri 2004-09-17 14:57:25 EDT
Fixed. Closing.

Note You need to log in before you can comment on or make changes to this bug.